import _defineProperty from '@babel/runtime/helpers/defineProperty';
import _objectWithoutProperties from '@babel/runtime/helpers/objectWithoutProperties';
import PropTypes from 'prop-types';
import { jsx } from 'react/jsx-runtime';

var _excluded = ["children", "theme"];
function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
var themeStyles = {
  dark: 'bg-gray-1',
  light: 'bg-white'
};

// TODO: This appears to be redundant and not needed.
//       This whole component could be integrated into the main Card component.
var CardFooter = function CardFooter(_ref) {
  var children = _ref.children,
    theme = _ref.theme,
    rest = _objectWithoutProperties(_ref, _excluded);
  return /*#__PURE__*/jsx("div", _objectSpread(_objectSpread({
    className: "".concat(themeStyles[theme], " border-t border-solid border-gray-2 mt-auto p-4 card-last-margin")
  }, rest), {}, {
    children: children
  }));
};
CardFooter.defaultProps = {
  theme: 'dark'
};
CardFooter.propTypes = {
  children: PropTypes.node.isRequired,
  theme: PropTypes.oneOf(['dark', 'light'])
};
var CardFooter$1 = CardFooter;

export { CardFooter$1 as default };
//# sourceMappingURL=CardFooter.js.map
