import PropTypes from 'prop-types';
import { jsx } from 'react/jsx-runtime';

var PaddedCard = function PaddedCard(_ref) {
  var children = _ref.children,
    className = _ref.className;
  return /*#__PURE__*/jsx("div", {
    className: "padded-card ".concat(className),
    children: children
  });
};
PaddedCard.defaultProps = {
  className: ''
};
PaddedCard.propTypes = {
  children: PropTypes.node.isRequired,
  className: PropTypes.string
};
var PaddedCard$1 = PaddedCard;

export { PaddedCard$1 as default };
//# sourceMappingURL=PaddedCard.js.map
