import PropTypes from 'prop-types';
import { jsx } from 'react/jsx-runtime';

var FormGroup = function FormGroup(_ref) {
  var children = _ref.children,
    inline = _ref.inline;
  return /*#__PURE__*/jsx("div", {
    className: "mb-4 ".concat(inline ? 'inline-form-group' : ''),
    children: children
  });
};
FormGroup.defaultProps = {
  inline: false
};
FormGroup.propTypes = {
  children: PropTypes.node.isRequired,
  inline: PropTypes.bool
};
var FormGroup$1 = FormGroup;

export { FormGroup$1 as default };
//# sourceMappingURL=FormGroup.js.map
