import _defineProperty from '@babel/runtime/helpers/defineProperty';
import _objectWithoutProperties from '@babel/runtime/helpers/objectWithoutProperties';
import PropTypes from 'prop-types';
import { jsx } from 'react/jsx-runtime';

var _excluded = ["type"];
function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
var typesCSS = {
  danger: 'bg-red-2',
  info: 'bg-blue-2',
  "new": 'bg-yellow-3',
  disabled: 'bg-gray-3',
  success: 'bg-green-2',
  warning: 'bg-orange-2'
};
var StatusIndicator = function StatusIndicator(_ref) {
  var type = _ref.type,
    rest = _objectWithoutProperties(_ref, _excluded);
  return /*#__PURE__*/jsx("span", _objectSpread({
    "aria-hidden": "true",
    className: "status-indicator inline-block rounded-full ".concat(typesCSS[type]),
    focusable: "false",
    role: "img"
  }, rest));
};
StatusIndicator.propTypes = {
  type: PropTypes.oneOf(['danger', 'info', 'new', 'disabled', 'success', 'warning']).isRequired
};
var StatusIndicator$1 = StatusIndicator;

export { StatusIndicator$1 as default };
//# sourceMappingURL=StatusIndicator.js.map
