import _defineProperty from '@babel/runtime/helpers/defineProperty';
import _objectWithoutProperties from '@babel/runtime/helpers/objectWithoutProperties';
import { faExternalLink } from '@fortawesome/pro-regular-svg-icons';
import PropTypes from 'prop-types';
import Icon from '../Icons/Icon.js';
import { jsxs, jsx } from 'react/jsx-runtime';

var _excluded = ["children", "href", "iconAlt"];
function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
var LinkNewWindow = function LinkNewWindow(_ref) {
  var children = _ref.children,
    href = _ref.href,
    iconAlt = _ref.iconAlt,
    rest = _objectWithoutProperties(_ref, _excluded);
  return /*#__PURE__*/jsxs("a", _objectSpread(_objectSpread({
    href: href,
    rel: "noopener noreferrer",
    target: "_blank"
  }, rest), {}, {
    children: [children, " ", /*#__PURE__*/jsx(Icon, {
      alt: iconAlt,
      icon: faExternalLink
    })]
  }));
};
LinkNewWindow.defaultProps = {
  iconAlt: 'Open in new window'
};
LinkNewWindow.propTypes = {
  children: PropTypes.node.isRequired,
  href: PropTypes.string.isRequired,
  iconAlt: PropTypes.string
};
var LinkNewWindow$1 = LinkNewWindow;

export { LinkNewWindow$1 as default };
//# sourceMappingURL=LinkNewWindow.js.map
