import _defineProperty from '@babel/runtime/helpers/defineProperty';
import PropTypes from 'prop-types';
import { useMatch, Link } from 'react-router-dom';
import { ACTIVE_STATE_CLASS_NAME } from '../consts/index.js';
import { jsx } from 'react/jsx-runtime';

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
var NavLink = function NavLink(props) {
  var to = props.to;
  var partialMatch = useMatch("".concat(to, "/*"));
  return /*#__PURE__*/jsx(Link, _objectSpread({
    className: partialMatch ? ACTIVE_STATE_CLASS_NAME : null
  }, props));
};
NavLink.propTypes = {
  to: PropTypes.string.isRequired
};
var NavLink$1 = NavLink;

export { NavLink$1 as default };
//# sourceMappingURL=NavLink.js.map
