import _defineProperty from '@babel/runtime/helpers/defineProperty';
import _objectWithoutProperties from '@babel/runtime/helpers/objectWithoutProperties';
import PropTypes from 'prop-types';
import ExpandAnimation from '../Animation/ExpandAnimation.js';
import Alert from './Alert.js';
import { jsx } from 'react/jsx-runtime';

var _excluded = ["isShown"];
function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
var AlertAnimated = function AlertAnimated(_ref) {
  var isShown = _ref.isShown,
    rest = _objectWithoutProperties(_ref, _excluded);
  return /*#__PURE__*/jsx(ExpandAnimation, {
    className: "overflow-hidden",
    isShown: isShown,
    children: /*#__PURE__*/jsx(Alert, _objectSpread({}, rest))
  });
};
AlertAnimated.defaultProps = {
  isShown: false
};
AlertAnimated.propTypes = {
  isShown: PropTypes.bool
};
var AlertAnimated$1 = AlertAnimated;

export { AlertAnimated$1 as default };
//# sourceMappingURL=AlertAnimated.js.map
