import _defineProperty from '@babel/runtime/helpers/defineProperty';
import _objectWithoutProperties from '@babel/runtime/helpers/objectWithoutProperties';
import PropTypes from 'prop-types';
import ContextPanel from '../Panels/ContextPanel.js';
import { jsx } from 'react/jsx-runtime';

var _excluded = ["children", "type"];
function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
var Toast = function Toast(_ref) {
  var children = _ref.children,
    type = _ref.type,
    rest = _objectWithoutProperties(_ref, _excluded);
  return /*#__PURE__*/jsx(ContextPanel, _objectSpread(_objectSpread({
    className: "relative pr-12",
    type: type
  }, rest), {}, {
    children: children
  }));
};
Toast.propTypes = {
  children: PropTypes.node.isRequired,
  type: PropTypes.oneOf(['danger', 'info', 'loading', 'success', 'warning', 'working']).isRequired
};
var Toast$1 = Toast;

export { Toast$1 as default };
//# sourceMappingURL=Toast.js.map
