import _defineProperty from '@babel/runtime/helpers/defineProperty';
import _objectWithoutProperties from '@babel/runtime/helpers/objectWithoutProperties';
import PropTypes from 'prop-types';
import { HeadingLevel } from '../lib/customPropTypes.js';
import HX from '../Headings/HX.js';
import { jsx } from 'react/jsx-runtime';

var _excluded = ["children", "headingLevel", "headingLevelStyle"];
function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
var PanelTitle = function PanelTitle(_ref) {
  var children = _ref.children,
    headingLevel = _ref.headingLevel,
    headingLevelStyle = _ref.headingLevelStyle,
    rest = _objectWithoutProperties(_ref, _excluded);
  return /*#__PURE__*/jsx(HX, _objectSpread(_objectSpread({
    level: headingLevel,
    levelStyle: headingLevelStyle
  }, rest), {}, {
    children: children
  }));
};
PanelTitle.defaultProps = {
  headingLevel: 5,
  headingLevelStyle: 5
};
PanelTitle.propTypes = {
  children: PropTypes.node.isRequired,
  headingLevel: HeadingLevel,
  headingLevelStyle: HeadingLevel
};
var PanelTitle$1 = PanelTitle;

export { PanelTitle$1 as default };
//# sourceMappingURL=PanelTitle.js.map
