import _toConsumableArray from '@babel/runtime/helpers/toConsumableArray';
import _defineProperty from '@babel/runtime/helpers/defineProperty';
import useStepperState from './useStepperState.js';

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
var useStepGateState = function useStepGateState(id) {
  if (id == null) {
    throw new Error('Id in `useStepGateState` must not be null');
  }
  var stepperState = useStepperState();
  return _objectSpread(_objectSpread({}, stepperState.gates.get(id)), {}, {
    isCurrentGate: _toConsumableArray(stepperState.gates.keys())[stepperState.currentGate] === id
  });
};
var useStepGateState$1 = useStepGateState;

export { useStepGateState$1 as default };
//# sourceMappingURL=useStepGateState.js.map
