import _toConsumableArray from '@babel/runtime/helpers/toConsumableArray';
import _defineProperty from '@babel/runtime/helpers/defineProperty';
import useStepperState from './useStepperState.js';

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
var useStepState = function useStepState(id) {
  if (id == null) {
    throw new Error('Id in `useStepState` must not be null');
  }
  var stepperState = useStepperState();
  return _objectSpread(_objectSpread({}, stepperState.steps.get(id)), {}, {
    isCurrentStep: _toConsumableArray(stepperState.steps.keys())[stepperState.currentStep] === id
  });
};
var useStepState$1 = useStepState;

export { useStepState$1 as default };
//# sourceMappingURL=useStepState.js.map
