import { faTimes } from '@fortawesome/pro-solid-svg-icons';
import PropTypes from 'prop-types';
import ButtonBase from '../Buttons/ButtonBase.js';
import Icon from '../Icons/Icon.js';
import { jsx } from 'react/jsx-runtime';

var TagCloseButton = function TagCloseButton(_ref) {
  var callback = _ref.callback,
    className = _ref.className;
  return /*#__PURE__*/jsx(ButtonBase, {
    "aria-label": "Close",
    className: "bg-opacity-0 border-opacity-0 leading-none ml-2 p-0 focus:shadow-none focus:border-cyan-3 hover:cursor-pointer hover:text-gray-7 ".concat(className),
    onClick: callback,
    children: /*#__PURE__*/jsx(Icon, {
      icon: faTimes
    })
  });
};
TagCloseButton.defaultProps = {
  className: ''
};
TagCloseButton.propTypes = {
  callback: PropTypes.func.isRequired,
  className: PropTypes.string
};
var TagCloseButton$1 = TagCloseButton;

export { TagCloseButton$1 as default };
//# sourceMappingURL=TagCloseButton.js.map
