import PropTypes from 'prop-types';
import { jsx } from 'react/jsx-runtime';

var SideNavigationTemplate = function SideNavigationTemplate(_ref) {
  var children = _ref.children,
    navWidth = _ref.navWidth;
  var columnWidth = {
    gridTemplateColumns: "".concat(navWidth, " 1fr")
  };
  return /*#__PURE__*/jsx("div", {
    className: "grid gap-8",
    style: columnWidth,
    children: children
  });
};
SideNavigationTemplate.defaultProps = {
  navWidth: '15.5rem'
};
SideNavigationTemplate.propTypes = {
  children: PropTypes.node.isRequired,
  navWidth: PropTypes.string
};
var SideNavigationTemplate$1 = SideNavigationTemplate;

export { SideNavigationTemplate$1 as default };
//# sourceMappingURL=SideNavigationTemplate.js.map
