import _defineProperty from '@babel/runtime/helpers/defineProperty';
import _objectWithoutProperties from '@babel/runtime/helpers/objectWithoutProperties';
import PropTypes from 'prop-types';
import ToggleBase from './ToggleBase.js';
import { jsx } from 'react/jsx-runtime';

var _excluded = ["children"];
function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
var ToggleSlider = function ToggleSlider(_ref) {
  var children = _ref.children,
    props = _objectWithoutProperties(_ref, _excluded);
  return /*#__PURE__*/jsx(ToggleBase, _objectSpread(_objectSpread({
    className: "toggle-slider bg-gray-2 rounded-4xl text-gray-6 inline-block overflow-hidden"
  }, props), {}, {
    children: children
  }));
};
ToggleSlider.propTypes = {
  children: PropTypes.arrayOf(PropTypes.node).isRequired
};
var ToggleSlider$1 = ToggleSlider;

export { ToggleSlider$1 as default };
//# sourceMappingURL=ToggleSlider.js.map
