const BITBUCKET = {
	hex: "#004DC0",
	rgb: "0,77,192"
};
const BLACK = {
	hex: "#000000",
	rgb: "34,34,34"
};
const BLUE_1 = {
	hex: "#EAF7FF",
	rgb: "234,247,255"
};
const BLUE_2 = {
	hex: "#6AB9E8",
	rgb: "106,185,232"
};
const BLUE_3 = {
	hex: "#1173AC",
	rgb: "17,115,172"
};
const BLUE_4 = {
	hex: "#074F7A",
	rgb: "7,79,122"
};
const BLUE_5 = {
	hex: "#03324D",
	rgb: "3,50,77"
};
const CYAN_1 = {
	hex: "#DFF4FA",
	rgb: "223,244,250"
};
const CYAN_2 = {
	hex: "#66D4F8",
	rgb: "102,212,248"
};
const CYAN_3 = {
	hex: "#02A9E0",
	rgb: "2,169,224"
};
const CYAN_4 = {
	hex: "#00759B",
	rgb: "0,117,155"
};
const CYAN_5 = {
	hex: "#05465B",
	rgb: "5,70,91"
};
const GATSBY = {
	hex: "#663399",
	rgb: "102,51,153"
};
const GITLAB = {
	hex: "#380D75",
	rga: "56,13,117"
};
const GRAY_1 = {
	hex: "#F6F9F9",
	rgb: "246,249,249"
};
const GRAY_2 = {
	hex: "#DDE5E7",
	rgb: "221,229,231"
};
const GRAY_3 = {
	hex: "#8097A8",
	rgb: "128, 151, 168"
};
const GRAY_4 = {
	hex: "#627684",
	rgb: "98,118,132"
};
const GRAY_5 = {
	hex: "#4F5D6B",
	rgb: "79,93,107"
};
const GRAY_6 = {
	hex: "#283139",
	rgb: "40,49,57"
};
const GRAY_7 = {
	hex: "#181C20",
	rgb: "24,28,32"
};
const GREEN_1 = {
	hex: "#E4FFF4",
	rgb: "228,255,244"
};
const GREEN_2 = {
	hex: "#5ECD9F",
	rgb: "94,205,159"
};
const GREEN_3 = {
	hex: "#00864E",
	rgb: "0,134,78"
};
const GREEN_4 = {
	hex: "#025E38",
	rgb: "2,94,56"
};
const GREEN_5 = {
	hex: "#013721",
	rgb: "1,55,33"
};
const ORANGE_1 = {
	hex: "#FFF0DC",
	rgb: "255,240,220"
};
const ORANGE_2 = {
	hex: "#FCBE6F",
	rgb: "252,190,111"
};
const ORANGE_3 = {
	hex: "#F78A00",
	rgb: "247,138,0"
};
const ORANGE_4 = {
	hex: "#B16300",
	rgb: "177,99,0"
};
const ORANGE_5 = {
	hex: "#5A3201",
	rgb: "90,50,1"
};
const PURPLE_1 = {
	hex: "#FFEDFB",
	rgb: "255,237,251"
};
const PURPLE_2 = {
	hex: "#CD94C0",
	rgb: "205,148,192"
};
const PURPLE_3 = {
	hex: "#825077",
	rgb: "130,80,119"
};
const PURPLE_4 = {
	hex: "#5E3355",
	rgb: "94,51,85"
};
const PURPLE_5 = {
	hex: "#3F1D38",
	rgb: "63,29,56"
};
const PURPLE_6 = {
	hex: "#3017A1",
	rgb: "48,23,161"
};
const PURPLE_7 = {
	hex: "#24107B",
	rgb: "36,16,123"
};
const RED_1 = {
	hex: "#FFE1E3",
	rgb: "255,225,227"
};
const RED_2 = {
	hex: "#FD8189",
	rgb: "253,129,137"
};
const RED_3 = {
	hex: "#DD2631",
	rgb: "221,38,49"
};
const RED_4 = {
	hex: "#9E171F",
	rgb: "158,23,31"
};
const RED_5 = {
	hex: "#5E0B10",
	rgb: "94,11,16"
};
const TEAL_1 = {
	hex: "#F3FFFD",
	rgb: "243,255,253"
};
const TEAL_2 = {
	hex: "#BCFFF5",
	rgb: "188,255,245"
};
const TEAL_3 = {
	hex: "#17D7BB",
	rgb: "23,215,187"
};
const TEAL_4 = {
	hex: "#019A82",
	rgb: "1,154,130"
};
const TEAL_5 = {
	hex: "#015044",
	rgb: "1,80,68"
};
const WHITE = {
	hex: "#FFFFFF",
	rgb: "255,255,255"
};
const YELLOW_1 = {
	hex: "#FCF8E0",
	rgb: "252,248,224"
};
const YELLOW_2 = {
	hex: "#FFEC7D",
	rgb: "255,236,125"
};
const YELLOW_3 = {
	hex: "#EFD01B",
	rgb: "239,208,27"
};
const YELLOW_4 = {
	hex: "#CAB01B",
	rgb: "202,176,27"
};
const YELLOW_5 = {
	hex: "#6E6010",
	rgb: "110,96,16"
};
var colors = {
	BITBUCKET: BITBUCKET,
	BLACK: BLACK,
	BLUE_1: BLUE_1,
	BLUE_2: BLUE_2,
	BLUE_3: BLUE_3,
	BLUE_4: BLUE_4,
	BLUE_5: BLUE_5,
	CYAN_1: CYAN_1,
	CYAN_2: CYAN_2,
	CYAN_3: CYAN_3,
	CYAN_4: CYAN_4,
	CYAN_5: CYAN_5,
	GATSBY: GATSBY,
	GITLAB: GITLAB,
	GRAY_1: GRAY_1,
	GRAY_2: GRAY_2,
	GRAY_3: GRAY_3,
	GRAY_4: GRAY_4,
	GRAY_5: GRAY_5,
	GRAY_6: GRAY_6,
	GRAY_7: GRAY_7,
	GREEN_1: GREEN_1,
	GREEN_2: GREEN_2,
	GREEN_3: GREEN_3,
	GREEN_4: GREEN_4,
	GREEN_5: GREEN_5,
	ORANGE_1: ORANGE_1,
	ORANGE_2: ORANGE_2,
	ORANGE_3: ORANGE_3,
	ORANGE_4: ORANGE_4,
	ORANGE_5: ORANGE_5,
	PURPLE_1: PURPLE_1,
	PURPLE_2: PURPLE_2,
	PURPLE_3: PURPLE_3,
	PURPLE_4: PURPLE_4,
	PURPLE_5: PURPLE_5,
	PURPLE_6: PURPLE_6,
	PURPLE_7: PURPLE_7,
	RED_1: RED_1,
	RED_2: RED_2,
	RED_3: RED_3,
	RED_4: RED_4,
	RED_5: RED_5,
	TEAL_1: TEAL_1,
	TEAL_2: TEAL_2,
	TEAL_3: TEAL_3,
	TEAL_4: TEAL_4,
	TEAL_5: TEAL_5,
	WHITE: WHITE,
	YELLOW_1: YELLOW_1,
	YELLOW_2: YELLOW_2,
	YELLOW_3: YELLOW_3,
	YELLOW_4: YELLOW_4,
	YELLOW_5: YELLOW_5
};

export { BITBUCKET, BLACK, BLUE_1, BLUE_2, BLUE_3, BLUE_4, BLUE_5, CYAN_1, CYAN_2, CYAN_3, CYAN_4, CYAN_5, GATSBY, GITLAB, GRAY_1, GRAY_2, GRAY_3, GRAY_4, GRAY_5, GRAY_6, GRAY_7, GREEN_1, GREEN_2, GREEN_3, GREEN_4, GREEN_5, ORANGE_1, ORANGE_2, ORANGE_3, ORANGE_4, ORANGE_5, PURPLE_1, PURPLE_2, PURPLE_3, PURPLE_4, PURPLE_5, PURPLE_6, PURPLE_7, RED_1, RED_2, RED_3, RED_4, RED_5, TEAL_1, TEAL_2, TEAL_3, TEAL_4, TEAL_5, WHITE, YELLOW_1, YELLOW_2, YELLOW_3, YELLOW_4, YELLOW_5, colors as default };
//# sourceMappingURL=colors.json.js.map
