import PropTypes from 'prop-types';
import { jsx } from 'react/jsx-runtime';

var ButtonGroup = function ButtonGroup(_ref) {
  var children = _ref.children,
    className = _ref.className;
  return /*#__PURE__*/jsx("div", {
    className: "button-group ".concat(className || ''),
    children: children
  });
};
ButtonGroup.defaultProps = {
  className: ''
};
ButtonGroup.propTypes = {
  children: PropTypes.node.isRequired,
  className: PropTypes.string
};
var ButtonGroup$1 = ButtonGroup;

export { ButtonGroup$1 as default };
//# sourceMappingURL=ButtonGroup.js.map
