import _defineProperty from '@babel/runtime/helpers/defineProperty';
import _objectWithoutProperties from '@babel/runtime/helpers/objectWithoutProperties';
import { faEllipsisV } from '@fortawesome/pro-solid-svg-icons';
import PropTypes from 'prop-types';
import IconDropdownButton from './IconDropdownButton_DEPRECATED.js';
import { jsx } from 'react/jsx-runtime';

var _excluded = ["ariaLabel", "isLoading"];
function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
var MeatballDropdownButton = function MeatballDropdownButton(_ref) {
  var ariaLabel = _ref.ariaLabel,
    isLoading = _ref.isLoading,
    rest = _objectWithoutProperties(_ref, _excluded);
  return /*#__PURE__*/jsx(IconDropdownButton, _objectSpread({
    ariaLabel: ariaLabel,
    className: "w-10 h-10 px-4 py-0 border-solid border-gray-3",
    icon: faEllipsisV,
    isLoading: isLoading,
    size: "sm"
  }, rest));
};
MeatballDropdownButton.defaultProps = {
  isLoading: false
};
MeatballDropdownButton.propTypes = {
  /**
   * ARIA label that describes the purpose of this button
   */
  ariaLabel: PropTypes.string.isRequired,
  /**
   * Whether the button is in a loading state or not
   */
  isLoading: PropTypes.bool
};
var MeatballDropdownButton$1 = MeatballDropdownButton;

export { MeatballDropdownButton$1 as default };
//# sourceMappingURL=MeatballDropdownButton_DEPRECATED.js.map
