import PropTypes from 'prop-types';
import { jsx } from 'react/jsx-runtime';

var PaddedCardGroup = function PaddedCardGroup(_ref) {
  var children = _ref.children,
    className = _ref.className;
  return /*#__PURE__*/jsx("div", {
    className: "padded-card-group ".concat(className),
    children: children
  });
};
PaddedCardGroup.defaultProps = {
  className: ''
};
PaddedCardGroup.propTypes = {
  children: PropTypes.node.isRequired,
  className: PropTypes.string
};
var PaddedCardGroup$1 = PaddedCardGroup;

export { PaddedCardGroup$1 as default };
//# sourceMappingURL=PaddedCardGroup.js.map
