import PropTypes from 'prop-types';
import React from 'react';
import { jsxs } from 'react/jsx-runtime';

var Header = function Header(_ref) {
  var children = _ref.children;
  var slots = {};
  React.Children.forEach(children, function (child) {
    slots[child.props.slot] = /*#__PURE__*/React.cloneElement(child, {});
  });
  var startContent = slots['start-content'];
  var endContent = slots['end-content'];
  return /*#__PURE__*/jsxs("div", {
    className: "flex flex-row items-start justify-between heading-content-margin",
    children: [startContent, endContent]
  });
};
Header.defaultProps = {};
Header.propTypes = {
  children: PropTypes.node.isRequired
};
var Header$1 = Header;

export { Header$1 as default };
//# sourceMappingURL=Header.js.map
