import PropTypes from 'prop-types';
import CustomCheckbox from '../Forms/CustomCheckbox.js';
import { jsxs } from 'react/jsx-runtime';

var FilterItem = function FilterItem(_ref) {
  var children = _ref.children,
    count = _ref.count,
    id = _ref.id;
  var formattedCount = new Intl.NumberFormat().format(count);
  return /*#__PURE__*/jsxs(CustomCheckbox, {
    field: id,
    children: [children, /*#__PURE__*/jsxs("span", {
      className: "ml-1",
      children: ["(", formattedCount, ")"]
    })]
  });
};
FilterItem.propTypes = {
  children: PropTypes.node.isRequired,
  count: PropTypes.number.isRequired,
  id: PropTypes.string.isRequired
};
var FilterItem$1 = FilterItem;

export { FilterItem$1 as default };
//# sourceMappingURL=FilterItem.js.map
