import _defineProperty from '@babel/runtime/helpers/defineProperty';
import { faChevronDown } from '@fortawesome/pro-light-svg-icons';
import PropTypes from 'prop-types';
import Icon from '../../Icons/Icon.js';
import { jsx } from 'react/jsx-runtime';

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
var ToggleButton = function ToggleButton(_ref) {
  var disabled = _ref.disabled,
    getToggleButtonProps = _ref.getToggleButtonProps,
    setTouched = _ref.setTouched,
    toggleButtonLabelText = _ref.toggleButtonLabelText;
  return /*#__PURE__*/jsx("button", _objectSpread(_objectSpread({}, getToggleButtonProps({
    onClick: function onClick() {
      return setTouched(true);
    }
  })), {}, {
    "aria-label": toggleButtonLabelText,
    className: "absolute top-0 right-0 p-2 border-0",
    disabled: disabled,
    type: "button",
    children: /*#__PURE__*/jsx(Icon, {
      icon: faChevronDown
    })
  }));
};
ToggleButton.defaultProps = {
  disabled: false
};
ToggleButton.propTypes = {
  disabled: PropTypes.bool,
  getToggleButtonProps: PropTypes.func.isRequired,
  setTouched: PropTypes.func.isRequired,
  toggleButtonLabelText: PropTypes.string.isRequired
};
var ToggleButton$1 = ToggleButton;

export { ToggleButton$1 as default };
//# sourceMappingURL=ToggleButton.js.map
