import _defineProperty from '@babel/runtime/helpers/defineProperty';
import _objectWithoutProperties from '@babel/runtime/helpers/objectWithoutProperties';
import { FontAwesomeIcon } from '@fortawesome/react-fontawesome';
import PropTypes from 'prop-types';
import { Fragment } from 'react';
import { FAIcon } from '../lib/customPropTypes.js';
import { jsxs, jsx } from 'react/jsx-runtime';

var _excluded = ["alt", "icon"];
function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
var Icon = function Icon(_ref) {
  var alt = _ref.alt,
    icon = _ref.icon,
    rest = _objectWithoutProperties(_ref, _excluded);
  return /*#__PURE__*/jsxs(Fragment, {
    children: [alt ? /*#__PURE__*/jsx("span", {
      className: "sr-only",
      children: alt
    }) : null, /*#__PURE__*/jsx(FontAwesomeIcon, _objectSpread({
      icon: icon
    }, rest))]
  });
};
Icon.defaultProps = {
  alt: ''
};
Icon.propTypes = {
  alt: PropTypes.string,
  icon: FAIcon.isRequired
};
var Icon$1 = Icon;

export { Icon$1 as default };
//# sourceMappingURL=Icon.js.map
