import _defineProperty from '@babel/runtime/helpers/defineProperty';
import Markdown from 'markdown-to-jsx';
import PropTypes from 'prop-types';
import { jsx } from 'react/jsx-runtime';

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
var MD = function MD(_ref) {
  var children = _ref.children,
    options = _ref.options;
  var defaultOverrides = {
    h1: {
      props: {
        className: 'text-3xl'
      }
    },
    h2: {
      props: {
        className: 'text-2xl'
      }
    },
    h3: {
      props: {
        className: 'text-xl'
      }
    },
    h4: {
      props: {
        className: 'text-lg'
      }
    },
    h5: {
      props: {
        className: 'text-base'
      }
    },
    h6: {
      props: {
        className: 'text-sm'
      }
    }
  };
  var mdOptions = _objectSpread(_objectSpread({}, options), {}, {
    overrides: options.overrides ? Object.assign(options.overrides, defaultOverrides) : defaultOverrides
  });
  return /*#__PURE__*/jsx(Markdown, {
    options: mdOptions,
    children: children
  });
};
MD.defaultProps = {
  options: {}
};
MD.propTypes = {
  children: PropTypes.string.isRequired,
  /**
   * For details and usage see `markdown-to-jsx` [documentation](https://www.npmjs.com/package/markdown-to-jsx#parsing-options)
   */
  options: PropTypes.shape({
    overrides: PropTypes.shape({})
  })
};
var MD$1 = MD;

export { MD$1 as default };
//# sourceMappingURL=Markdown.js.map
