import _defineProperty from '@babel/runtime/helpers/defineProperty';
import _objectWithoutProperties from '@babel/runtime/helpers/objectWithoutProperties';
import PropTypes from 'prop-types';
import { jsx } from 'react/jsx-runtime';

var _excluded = ["children", "offset", "offsetAmountClass"];
function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
var StickyHeader = function StickyHeader(_ref) {
  var children = _ref.children,
    offset = _ref.offset,
    offsetAmountClass = _ref.offsetAmountClass,
    rest = _objectWithoutProperties(_ref, _excluded);
  return /*#__PURE__*/jsx("div", _objectSpread(_objectSpread({}, rest), {}, {
    className: "sticky flex justify-between py-4 mb-6 bg-white border-b border-solid border-b-gray-2 ".concat(offset ? offsetAmountClass : 'top-0'),
    children: children
  }));
};
StickyHeader.defaultProps = {
  offset: false,
  offsetAmountClass: 'top-12'
};
StickyHeader.propTypes = {
  children: PropTypes.node.isRequired,
  offset: PropTypes.bool,
  offsetAmountClass: PropTypes.string
};
var StickyHeader$1 = StickyHeader;

export { StickyHeader$1 as default };
//# sourceMappingURL=StickyHeader.js.map
