import _defineProperty from '@babel/runtime/helpers/defineProperty';
import { useTable, useRowSelect } from 'react-table';

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }

/*
The useTable instance is documented here:
https://github.com/tannerlinsley/react-table/blob/master/docs/src/pages/docs/api/useTable.md#instance-properties
The useRowSelect instance is documented here:
https://github.com/tannerlinsley/react-table/blob/master/docs/src/pages/docs/api/useRowSelect.md#instance-properties
*/
var useRowSelectTable = function useRowSelectTable(_ref) {
  var columns = _ref.columns,
    data = _ref.data;
  var tableInstance = useTable({
    columns: columns,
    data: data
  }, useRowSelect);
  return _objectSpread({
    columnsLength: columns.length
  }, tableInstance);
};
var useRowSelectTable$1 = useRowSelectTable;

export { useRowSelectTable$1 as default };
//# sourceMappingURL=useRowSelectTable.js.map
