import PropTypes from 'prop-types';
import { jsx } from 'react/jsx-runtime';

var HeroTemplate = function HeroTemplate(_ref) {
  var children = _ref.children;
  return /*#__PURE__*/jsx("div", {
    className: "hero-template bg-gray-1 mb-8 p-16",
    children: /*#__PURE__*/jsx("div", {
      className: "max-w-3xl mx-auto",
      children: children
    })
  });
};
HeroTemplate.propTypes = {
  children: PropTypes.node.isRequired
};
var HeroTemplate$1 = HeroTemplate;

export { HeroTemplate$1 as default };
//# sourceMappingURL=HeroTemplate.js.map
